//--------------------------------------------------------------
// Note that this header file is generated!
// Don't try to change settings here!
//--------------------------------------------------------------
#ifndef __INC_openmac_cfg_H__
#define __INC_openmac_cfg_H__

//--------------------------------------------------------------
// Constants
#define OPENMAC_PKTBUF_LOCAL 1
#define OPENMAC_PKTBUF_EXTERN 2
#define OPENMAC_PHYPORT_RMII 1
#define OPENMAC_PHYPORT_MII 2
//--------------------------------------------------------------

//--------------------------------------------------------------
// Configuration
#define OPENMAC_REG_BASE 0x2c400000
#define OPENMAC_REG_SPAN 65536
#define OPENMAC_TIMER_BASE 0x2c420000
#define OPENMAC_TIMER_SPAN 65536
#define OPENMAC_PKT_BASE 0x20400000
#define OPENMAC_PKT_SPAN 65536
#define OPENMAC_PHYCNT 1
#define OPENMAC_DMAOBSERV 1
#define OPENMAC_PKTLOCTX 1
#define OPENMAC_PKTLOCRX 2
#define OPENMAC_PKTBUFSIZE 8192
#define OPENMAC_TIMERPULSE 0
#define OPENMAC_TIMERPULSECONTROL 0
#define OPENMAC_TIMERPULSEREGWIDTH 10
//--------------------------------------------------------------

//--------------------------------------------------------------
// Offsets within MAC REG
#define OPENMAC_RAM_BASE    (OPENMAC_REG_BASE + 0x0800)
#define OPENMAC_PHY_BASE    (OPENMAC_REG_BASE + 0x1000)
#define OPENMAC_IRQ_BASE    (OPENMAC_REG_BASE + 0x1010)
#define OPENMAC_DOB_BASE    (OPENMAC_REG_BASE + 0x1020)
//--------------------------------------------------------------

#endif /*__INC_openmac_cfg_H__*/
